Build failed when maven-toolchains-plugin used

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Build failed when maven-toolchains-plugin used

Alexey Markevich-2
Hello,

Java 9+ builds (11, 13, 14) configured to use maven-toolchains-plugin
and failed since Feb 17.
I'm able to reproduce this locally:

[ERROR] Failed to execute goal
org.apache.maven.plugins:maven-toolchains-plugin:3.0.0:toolchain
(default) on project jdk-cxf-with-toolchain: Cannot find matching
toolchain definitions for the following toolchain types:
[ERROR] jdk [ version='11' ]
[ERROR] Please make sure you define the required toolchains in your
~/.m2/toolchains.xml file.

Most probably required toolchains.xml configuration is broken on build
server(s).
Reply | Threaded
Open this post in threaded view
|

Fwd: Build failed when maven-toolchains-plugin used

deki
Hi,

looks like someone tries to add JDK15.
https://builds.apache.org/view/A-D/view/CXF/job/CXF-Master-JDK11/ws/maven-plugins/codegen-plugin/target/it/jdk-cxf-with-toolchain/build.log
mentions "Misconfigured toolchains. Non-existing JDK home configuration
at /home/jenkins/tools/java/latest15"

Could you please revert that?

https://github.com/apache/infrastructure-puppet/blob/deployment/modules/build_slaves/files/toolchains.xml
doesn't show any change related to that.

Thanks

Dennis


-------- Weitergeleitete Nachricht --------
Betreff: Build failed when maven-toolchains-plugin used
Datum: Mon, 24 Feb 2020 09:25:38 +0300
Von: Alexey Markevich <[hidden email]>
Antwort an: [hidden email]
An: [hidden email]



Hello,

Java 9+ builds (11, 13, 14) configured to use maven-toolchains-plugin
and failed since Feb 17.
I'm able to reproduce this locally:

[ERROR] Failed to execute goal
org.apache.maven.plugins:maven-toolchains-plugin:3.0.0:toolchain
(default) on project jdk-cxf-with-toolchain: Cannot find matching
toolchain definitions for the following toolchain types:
[ERROR] jdk [ version='11' ]
[ERROR] Please make sure you define the required toolchains in your
~/.m2/toolchains.xml file.

Most probably required toolchains.xml configuration is broken on build
server(s).
Reply | Threaded
Open this post in threaded view
|

Re: Build failed when maven-toolchains-plugin used

Gavin McDonald-2
Apologies, I'd gotten 1/2 way through then got distracted into other urgent
matters.

Rather than revert, I completed the task by installing OpenJDK 15 (build
11) which
should fix the issue, once the PR is merged and Puppet has ran.

Should all be fine again in an hour or two.

Gav...


On Mon, Feb 24, 2020 at 10:54 AM Dennis Kieselhorst <[hidden email]> wrote:

> Hi,
>
> looks like someone tries to add JDK15.
>
> https://builds.apache.org/view/A-D/view/CXF/job/CXF-Master-JDK11/ws/maven-plugins/codegen-plugin/target/it/jdk-cxf-with-toolchain/build.log
> mentions "Misconfigured toolchains. Non-existing JDK home configuration
> at /home/jenkins/tools/java/latest15"
>
> Could you please revert that?
>
>
> https://github.com/apache/infrastructure-puppet/blob/deployment/modules/build_slaves/files/toolchains.xml
> doesn't show any change related to that.
>
> Thanks
>
> Dennis
>
>
> -------- Weitergeleitete Nachricht --------
> Betreff:        Build failed when maven-toolchains-plugin used
> Datum:  Mon, 24 Feb 2020 09:25:38 +0300
> Von:    Alexey Markevich <[hidden email]>
> Antwort an:     [hidden email]
> An:     [hidden email]
>
>
>
> Hello,
>
> Java 9+ builds (11, 13, 14) configured to use maven-toolchains-plugin
> and failed since Feb 17.
> I'm able to reproduce this locally:
>
> [ERROR] Failed to execute goal
> org.apache.maven.plugins:maven-toolchains-plugin:3.0.0:toolchain
> (default) on project jdk-cxf-with-toolchain: Cannot find matching
> toolchain definitions for the following toolchain types:
> [ERROR] jdk [ version='11' ]
> [ERROR] Please make sure you define the required toolchains in your
> ~/.m2/toolchains.xml file.
>
> Most probably required toolchains.xml configuration is broken on build
> server(s).
>